%define upstream_name    Data-Swap
%define upstream_version 0.08

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6

Summary:	Data-Swap module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		Data-Swap-0.08-fix-format-security.patch

BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
This module allows you to swap the contents of two referenced variables,
even if they have different types.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -b .format

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/*/Data/Swap.pm
%{perl_vendorlib}/*/auto/Data/Swap
%{_mandir}/*/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-6.mga3
+ Revision: 365485
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.80.0-5.mga3
+ Revision: 250482
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.80.0-4.mga2
+ Revision: 104104
- perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 0.80.0-3.mga1
+ Revision: 10645
- imported package perl-Data-Swap

